Subject: Re: bug#27612: 25.2; invoking term from a remote eshell uses the local path

From: Pablo Barbachano <[email-masked]>
Date: Sat, 15 Jul 2017 00:00:47 +0200

Hi Michael,

Michael Albinus <[email-masked]> writes:

> That is because term.el is not Tramp-aware. In `term-exec-1', it uses
> `start-process' instead of `start-file-process'.

I tried that and my dummy test case suddenly worked. So that's enough to make it work, but more complex programs like 'top' or 'ipython' seem to have the output mangled. For example if I now do `term bash`

```
$ echo -e "1"
             1
              $ echo -e "\r1"
1
```

So something is going on with how the newlines are interpreted in the terminal. This does not happen if I run them locally.

I can try playing with this for some time and maybe send a patch.

Thanks for the pointer!
--
Pablo